Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# TAO_DII_Deferred_Reply_Dispatcher Class Reference

Reply dispatcher for DII deferred requests. More...

`#include <DII_Reply_Dispatcher.h>`

Inheritance diagram for TAO_DII_Deferred_Reply_Dispatcher:

[legend]
Collaboration diagram for TAO_DII_Deferred_Reply_Dispatcher:

[legend]
List of all members.

## Public Member Functions
| TAO_DII_Deferred_Reply_Dispatcher (const CORBA::Request_ptr req, TAO_ORB_Core *orb_core)
virtual int | dispatch_reply (TAO_Pluggable_Reply_Params &param)
virtual void | connection_closed (void)
virtual void | reply_timed_out (void)
| The following methods are not needed for this class..
virtual long | schedule_timer (CORBA::ULong, const ACE_Time_Value &ACE_ENV_ARG_DECL_NOT_USED)
## Protected Member Functions
| ~TAO_DII_Deferred_Reply_Dispatcher (void)
| Destructor.
## Private Attributes
const CORBA::Request_ptr | req_
| Where the reply needs to go.

## Detailed Description

Reply dispatcher for DII deferred requests.

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_DII_Deferred_Reply_Dispatcher::TAO_DII_Deferred_Reply_Dispatcher | ( | const CORBA::Request_ptr | req,
|  | TAO_ORB_Core * | orb_core
| ) |

TAO_DII_Deferred_Reply_Dispatcher::~TAO_DII_Deferred_Reply_Dispatcher | ( | void |  | ) | `[protected]`

| Destructor.

## Member Function Documentation

void TAO_DII_Deferred_Reply_Dispatcher::connection_closed | ( | void |  | ) | `[virtual]`

| Implements TAO_Asynch_Reply_Dispatcher_Base.

int TAO_DII_Deferred_Reply_Dispatcher::dispatch_reply | ( | TAO_Pluggable_Reply_Params & | param | ) | `[virtual]`

| Implements TAO_Asynch_Reply_Dispatcher_Base.

virtual void TAO_DII_Deferred_Reply_Dispatcher::reply_timed_out | ( | void |  | ) | `[inline, virtual]`

| The following methods are not needed for this class.. Implements TAO_Asynch_Reply_Dispatcher_Base.

virtual long TAO_DII_Deferred_Reply_Dispatcher::schedule_timer | ( | CORBA::ULong | ,
|  | const ACE_Time_Value & | ACE_ENV_ARG_DECL_NOT_USED
| ) | `[inline, virtual]`

| Implements TAO_Asynch_Reply_Dispatcher_Base.

## Member Data Documentation

const CORBA::Request_ptr TAO_DII_Deferred_Reply_Dispatcher::req_`[private]`

| Where the reply needs to go.

The documentation for this class was generated from the following files:

- DII_Reply_Dispatcher.h
- DII_Reply_Dispatcher.cpp